commit:     cd9e25007e79f39b8501793f07445e671c9a1e03
Author:     Nelo-T. Wallus <nelo <AT> wallus <DOT> de>
AuthorDate: Sun Apr 15 09:00:29 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May  2 17:05:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd9e2500

app-emulation/sen: Bump to v0.6.0

Closes: https://github.com/gentoo/gentoo/pull/8012
Package-Manager: Portage-2.3.26, Repoman-2.3.7

 app-emulation/sen/Manifest         |  1 +
 app-emulation/sen/metadata.xml     |  4 ++++
 app-emulation/sen/sen-0.6.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 42 insertions(+)

diff --git a/app-emulation/sen/Manifest b/app-emulation/sen/Manifest
index 30975467531..aeedd7ece92 100644
--- a/app-emulation/sen/Manifest
+++ b/app-emulation/sen/Manifest
@@ -1 +1,2 @@
 DIST sen-0.5.1.tar.gz 70930 BLAKE2B 
93758076d014a36996ece021f1de2f3ece749453d32554fe79ffec0ab1101bf4cc5c11d80934817fa5b10d73b811e738c87ce8e745a642507ec8406ad2eb59fa
 SHA512 
0faf2c12e6361d3b4e9d093e0830867976a1fbd03cadc7a527c88460244532a8b636d8d4b732bb0c7f4041a0bb0819d20caabe62327b5edbf731b4eb8a4898a6
+DIST sen-0.6.0.tar.gz 55113 BLAKE2B 
5f6affbea94005c0adc9ac544d40d94cd9a9eca930b979c19174d21d73fdd887d21802a5241c02ba212a45c4a7873f22c7372aeb69955e1f97e444ef74d91929
 SHA512 
5573a0d6da5ae395e947bf34c54313e4e3a0251dc1868c52bbfe9ad11463397da83a0c9ac3f1912da2e6f49341c84d40dcab900d41b4a32ebac44d1dde3ac82b

diff --git a/app-emulation/sen/metadata.xml b/app-emulation/sen/metadata.xml
index c2f5606901a..75bfa9b4d17 100644
--- a/app-emulation/sen/metadata.xml
+++ b/app-emulation/sen/metadata.xml
@@ -9,6 +9,10 @@
                <email>[email protected]</email>
                <name>Lars Wendler</name>
        </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
        <upstream>
                <remote-id type="github">TomasTomecek/sen</remote-id>
                <remote-id type="pypi">sen</remote-id>

diff --git a/app-emulation/sen/sen-0.6.0.ebuild 
b/app-emulation/sen/sen-0.6.0.ebuild
new file mode 100644
index 00000000000..d1c1e43d0d0
--- /dev/null
+++ b/app-emulation/sen/sen-0.6.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Terminal User Interface for docker engine"
+HOMEPAGE="https://github.com/TomasTomecek/sen";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="dev-python/urwid[${PYTHON_USEDEP}]
+       dev-python/urwidtrees[${PYTHON_USEDEP}]
+       dev-python/docker-py[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/flexmock[${PYTHON_USEDEP}]
+       )
+       "
+
+python_install_all() {
+       distutils-r1_python_install_all
+       dodoc -r docs
+}
+
+python_test() {
+       pytest -vv tests || die "pytest failed"
+}

Reply via email to